curl --request GET \
--url https://api.example.com/v2/bank-transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/bank-transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/bank-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"account_mask": "<string>",
"account_id": "<string>",
"reference_number": "<string>",
"description": "<string>",
"posted": true,
"amount": "<string>",
"currency": "ADP",
"type": "deposit",
"agent_extractions": {
"counterparty_name": "<string>",
"counterparty_raw": "<string>",
"invoice_numbers": [
"<string>"
]
},
"agent_metrics": {
"confidence_reason": "<string>",
"confidence_score": 123,
"error_code": "duplicate",
"uncertainties": [
"<string>"
]
},
"is_agent_processing": true,
"payment_status": "non_payment",
"is_payment": true,
"non_payment_reason": "<string>",
"total_allocated": "<string>",
"amount_handled_outside": "<string>",
"handled_outside_reason": "<string>",
"counterparty_info": {
"display": "<string>",
"id": "<string>",
"partner_count": 0
},
"has_remittance": true,
"has_on_account": true,
"has_fx_payments": true,
"has_posting_errors": true,
"effective_confidence_score": 123,
"object": "<string>"
}
],
"current_page": 0,
"total_records": 1,
"next_page": 123
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}Get Bank Transactions
List Bank Transactions
Retrieve a list of all bank transactions.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, 0 indexed.
x >= 0Number of records per page.
1 <= x <= 500timestamp, amount, account_mask, agent_confidence_score, counterparty, reference_number, description asc, desc Filter transactions on or after this date (inclusive)
Filter transactions on or before this date (inclusive)
Bank account ID to filter by
Search in description, reference_number, counterparty_name, remote_id
Filter by cash application status
Status indicating the phase of cash application for a bank transaction.
non_payment, potential_payment, draft_payment, posted_payment, handled_outside Filter by allocation status (unallocated, partially_allocated, fully_allocated)
Allocation status for bank transactions.
unallocated, partially_allocated, fully_allocated Include withdrawal transactions in results (default: False)
Filter to transactions with (True) or without (False) posting errors
Response
Successful Response
